# Generated from gelf-3.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gelf

Name: rubygem-%{gem_name}
Version: 3.1.0
Release: 1%{?dist}
Summary: Library to send GELF messages to Graylog logging server
License: MIT
URL: https://github.com/graylog-labs/gelf-rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda) >= 2.11.3
# BuildRequires: rubygem(shoulda) < 2.12
# BuildRequires: rubygem(jeweler) >= 2.1.1
# BuildRequires: rubygem(jeweler) < 2.2
# BuildRequires: rubygem(rack) < 2.0
# BuildRequires: rubygem(mocha) >= 1.1.0
# BuildRequires: rubygem(mocha) < 1.2
# BuildRequires: rubygem(test-unit) >= 3.2.0
# BuildRequires: rubygem(test-unit) < 3.3
BuildArch: noarch

%description
Library to send GELF messages to Graylog logging server. Supports plain-text,
GELF messages and exceptions via UDP and TCP.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%{gem_instdir}/benchmarks
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gelf.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 3.1.0-1
- Initial package
